Unit tzp18r_p;
interface
uses
SysUtils, Math, { Delphi }
Lstruct, Lfunc, UtRes_p, ZP18R_p;

function tzp18r: String;

implementation

function tzp18r: String;
var
NP,NP1,_i,NB,NR,NA,IERR :Integer;
XN,XK :Real;
RAB :Array [0..35] of Real;
const
A :Array [0..4] of Real = ( 24.0,-50.0,35.0,-10.0,1.0 );
begin
for _i:=0 to 35 do
 RAB[_i] := 0.0;  //  
Result := '';  {   }
NP := 4;
NP1 := 5;
XN := 1.5;
XK := 3.5;
ZP18R(NP,A,XN,XK,NB,NR,NA,RAB,NP1,IERR);
Result := Result + Format('%10d ',[NP]) + #$0D#$0A;
Result := Result + #$0D#$0A;
for _i:=0 to 4 do
 begin
  Result := Result + Format('%20.16f ',[A[_i]]);
  if ( ((_i+1) mod 4)=0 )
   then Result := Result + #$0D#$0A;
 end;
Result := Result + #$0D#$0A;
Result := Result + Format('%20.16f %20.16f %10d %10d %10d ',
 [XN,XK,NB,NR,NA]) + #$0D#$0A;
Result := Result + #$0D#$0A;
for _i:=0 to 35 do
 begin
  Result := Result + Format('%20.16f ',[RAB[_i]]);
  if ( ((_i+1) mod 4)=0 )
   then Result := Result + #$0D#$0A;
 end;
Result := Result + #$0D#$0A;
Result := Result + Format('%10d ',[NP1]) + #$0D#$0A;
UtRes('tzp18r',Result);  {     tzp18r.res }
exit;
end;

end.
